Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConversationAttributes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConversationAttributes

    public class SNAConversationAttributes

extends java.lang.Object

`SNAConversationAttributes` class represents an SNA LU6.2 conversation context for SNA CPIC calls. It holds all the attributes--INPUT & OUTPUT-- parameters (also called supplied & returned parameters) that can be referenced or changed by individual CPIC calls made from the collaboration and can be accessed through the setter & getter exposed as follows.

Notational Conventions for Call Parameters:

INPUT & OUTPUT parameters for each call are denoted by their pseudonyms, such as conversation_ID, return_code, and etc. Their meanings are assumed to be well-known in CPIC domain (refer to your SNA CPIC reference/manual).

All the supplied and returned parameters for the calls have their nodes in the OTD.

For each parameter, its pseudonym and its OTD node are placed side- -by-side for easy cross-referencing.

OTD node is denoted by a path pointing to the node with all the parent nodes up to the root of the OTD.

Example:

pseudonym:

conversation_state

OTD node:

[OTD].[CPICCalls].[ConversationAttributes].[ConvState]

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)
See Also:
  `SNAInterface`

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`SNAConversationAttributes(SNAInterface snaJNI)` Constructor of SNAConversationAttributes.

Method Summary
`boolean` | `convReturnCodeIs(int convReturnCode)` Test if conversation_return_code ([OTD].[CPICCalls].[ConversationAttributes].[ConvReturnCode]) equals `convReturnCode`.
`boolean` | `convStateIs(int convState)` Test if conversation_state ([OTD].[CPICCalls].[ConversationAttributes].[ConvState]) equals `convState`.
`boolean` | `convTypeIs(int convType)` Test if conversation_type ([OTD].[CPICCalls].[ConversationAttributes].[ConvType]) equals `convType`.
`boolean` | `dataReceivedIs(int dataReceived)` Test if data_received ([OTD].[CPICCalls].[ConversationAttributes].[DataReceived]) equals `dataReceived`.
`boolean` | `deallocTypeIs(int deallocType)` Test if deallocate_type ([OTD].[CPICCalls].[ConversationAttributes].[DeallocType]) equals `deallocType`.
`boolean` | `errorDirectionIs(int errorDirection)` Test if error_direction ([OTD].[CPICCalls].[ConversationAttributes].[ErrorDirection]) equals `errorDirection`.
`boolean` | `fillTypeIs(int fillType)` Test if fill (fill_type) ([OTD].[CPICCalls].[ConversationAttributes].[FillType]) equals `fillType`.
`int` | `getConvReturnCode()` Getter of conversation_return_code ([OTD].[CPICCalls].[ConversationAttributes].[ConvReturnCode]).
`int` | `getConvState()` Getter of conversation_state ([OTD].[CPICCalls].[ConversationAttributes].[ConvState]).
`int` | `getConvType()` Getter of conversation_type ([OTD].[CPICCalls].[ConversationAttributes].[ConvType]).
`byte[]` | `getDataIn()` Getter of DataIn ([OTD].[CPICCalls].[ConversationAttributes].[DataIn]).
`byte[]` | `getDataOut()` Getter of DataOut ([OTD].[CPICCalls].[ConversationAttributes].[DataOut]).
`int` | `getDataReceived()` Getter of data_received ([OTD].[CPICCalls].[ConversationAttributes].[DataReceived]).
`int` | `getDeallocType()` Getter of deallocate_type ([OTD].[CPICCalls].[ConversationAttributes].[DeallocType]).
`int` | `getErrorDirection()` Getter of error_direction ([OTD].[CPICCalls].[ConversationAttributes].[ErrorDirection]).
`int` | `getFillType()` Getter of fill (fill type) ([OTD].[CPICCalls].[ConversationAttributes].[FillType]).
`java.lang.String` | `getLocalTPName()` Getter of local_TP_Name ([OTD].[CPICCalls].[ConversationAttributes].[LocalTPName])
`byte[]` | `getLogData()` Getter of log data ([OTD].[CPICCalls].[ConversationAttributes].[LogData]).
`java.lang.String` | `getModeName()` Getter of mode_name.
`java.lang.String` | `getPartnerLUName()` Getter of Partner LU Name ([OTD].[CPICCalls].[ConversationAttributes].[PartnerLUName]).
`int` | `getPrepareToReceiveType()` Getter of prepare_to_receive_type ([OTD].[CPICCalls].[ConversationAttributes].[PrepareToReceive]).
`int` | `getProcessingMode()` Getter of processing_mode ([OTD].[CPICCalls].[ConversationAttributes].[ProcessingMode]).
`int` | `getReceiveType()` Getter of receive_type ([OTD].[CPICCalls].[ConversationAttributes].[ReceiveType]).
`int` | `getReq2SendReceived()` Getter of request_to_send_received ([OTD].[CPICCalls].[ConversationAttributes].[Req2SendReceived]).
`int` | `getRequestedLength()` Getter of requested_length ([OTD].[CPICCalls].[ConversationAttributes].[RequestedLength]) which is the PacketSize of data the local program is to receive.
`int` | `getReturnCode()` Getter of return_code ([OTD].[CPICCalls].[ConversationAttributes].[ReturnCode]).
`int` | `getReturnControl()` Getter of return_control ([OTD].[CPICCalls].[ConversationAttributes].[ReturnControl]).
`int` | `getSecurityType()` Getter of conversation_security_type ([OTD].[CPICCalls].[ConversationAttributes].[SecurityType]).
`java.lang.String` | `getSecurityUserID()` Getter of security_user_ID ([OTD].[CPICCalls].[ConversationAttributes].[SecurityUserID]).
`int` | `getSendType()` Getter of send_type ([OTD].[CPICCalls].[ConversationAttributes].[SendType]).
`int` | `getStatusReceived()` Getter of status_received ([OTD].[CPICCalls].[ConversationAttributes].[StatusReceived]).
`java.lang.String` | `getSymDestName()` Getter of sym_dest_name ([OTD].[CPICCalls].[ConversationAttributes].[SymDestName])
`int` | `getSyncLevel()` Getter of sync_level ([OTD].[CPICCalls].[ConversationAttributes].[SyncLevel]).
`boolean` | `localTPNameEquals(java.lang.String localTPName)` Test if local_TP_Name ([OTD].[CPICCalls].[ConversationAttributes].[LocalTPName]) equals `localTPName`.
`boolean` | `modeNameEquals(java.lang.String modeName)` Test if mode_name ([OTD].[CPICCalls].[ConversationAttributes].[ModeName]) equals `modeName`.
`boolean` | `partnerLUNameEquals(java.lang.String partnerLUName)` Test if partner_LU_name ([OTD].[CPICCalls].[ConversationAttributes].[PartnerLUName]) equals `partnerLUName`.
`boolean` | `prepareToReceiveTypeIs(int prepareToReceiveType)` Test if prepare_to_receive_type ([OTD].[CPICCalls].[ConversationAttributes].[PrepareToReceiveType]) equals `prepareToReceiveType`.
`boolean` | `processingModeIs(int processingMode)` Test if processing_mode ([OTD].[CPICCalls].[ConversationAttributes].[ProcessingMode]) equals `processingMode`.
`boolean` | `receiveTypeIs(int receiveType)` Test if receive_type ([OTD].[CPICCalls].[ConversationAttributes].[ReceiveType]) equals `receiveType`.
`boolean` | `req2SendReceivedIs(int req2SendReceivedType)` Test if request_to_send_received ([OTD].[CPICCalls].[ConversationAttributes].[Req2SendReceivedType]) equals `req2SendReceivedType`.
`boolean` | `requestedLengthIs(int requestedLength)` Test if requested_length ([OTD].[CPICCalls].[ConversationAttributes].[RequestedLength]) equals `requestedLength`.
`boolean` | `returnCodeIs(int returnCode)` Test if return_code ([OTD].[CPICCalls].[ConversationAttributes].[ReturnCode]) equals `returnCode`.
`boolean` | `returnControlIs(int returnControl)` Test if return_control ([OTD].[CPICCalls].[ConversationAttributes].[ReturnControl]) equals `returnControl`.
`boolean` | `securityTypeIs(int securityType)` Test if conversation_security_type ([OTD].[CPICCalls].[ConversationAttributes].[SecurityType]) equals `securityType`.
`boolean` | `securityUserIDEquals(java.lang.String securityUserID)` Test if security_user_ID ([OTD].[CPICCalls].[ConversationAttributes].[SecurityUserID]) equals `securityUserID`.
`boolean` | `sendTypeIs(int sendType)` Test if send_type ([OTD].[CPICCalls].[ConversationAttributes].[SendType]) equals `sendType`.
`void` | `setConvType(int convType)` Setter of conversation_type ([OTD].[CPICCalls].[ConversationAttributes].[ConvType]).
`void` | `setDataOut(byte[] dataOut)` Setter of DataOut ([OTD].[CPICCalls].[ConversationAttributes].[DataOut]).
`void` | `setDeallocType(int deallocType)` Setter of deallocate_type ([OTD].[CPICCalls].[ConversationAttributes].[DeallocType]).
`void` | `setErrorDirection(int errorDirection)` Setter of error_direction ([OTD].[CPICCalls].[ConversationAttributes].[ErrorDirection]).
`void` | `setFillType(int fillType)` Setter of fill (fill_type) ([OTD].[CPICCalls].[ConversationAttributes].[FillType]).
`void` | `setLocalTPName(java.lang.String localTPName)` Setter of local_TP_Name ([OTD].[CPICCalls].[ConversationAttributes].[LocalTPName]).
`void` | `setLogData(byte[] logData)` Setter of log data ([OTD].[CPICCalls].[ConversationAttributes].[LogData]).
`void` | `setModeName(java.lang.String modeName)` Setter of mode_name ([OTD].[CPICCalls].[ConversationAttributes].[ModeName])
`void` | `setPartnerLUName(java.lang.String partnerLUName)` Setter of Partner LU Name ([OTD].[CPICCalls].[ConversationAttributes].[PartnerLUName]).
`void` | `setPrepareToReceiveType(int prepareToReceiveType)` Setter of prepare_to_receive_type ([OTD].[CPICCalls].[ConversationAttributes].[PrepareToReceiveType]).
`void` | `setProcessingMode(int processingMode)` Setter of processing_mode ([OTD].[CPICCalls].[ConversationAttributes].[ProcessingMode]).
`void` | `setReceiveType(int receiveType)` Setter of receive_type ([OTD].[CPICCalls].[ConversationAttributes].[ReceiveType]).
`void` | `setRequestedLength(int requestedLength)` Setter of requested_length ([OTD].[CPICCalls].[ConversationAttributes].[RequestedLength]) which is the PacketSize of data the local program is to receive.
`void` | `setReturnControl(int returnControl)` Setter of return_control ([OTD].[CPICCalls].[ConversationAttributes].[ReturnControl]).
`void` | `setSecurityPassword(java.lang.String securityPassword)` Setter of security_password ([OTD].[CPICCalls].[ConversationAttributes].[SecurityPassword]).
`void` | `setSecurityType(int securityType)` Setter of conversation_security_type ([OTD].[CPICCalls].[ConversationAttributes].[SecurityType]).
`void` | `setSecurityUserID(java.lang.String securityUserID)` Setter of security_user_ID ([OTD].[CPICCalls].[ConversationAttributes].[SecurityUserID]).
`void` | `setSendType(int sendType)` Setter of send_type ([OTD].[CPICCalls].[ConversationAttributes].[SendType]).
`void` | `setSymDestName(java.lang.String symDestName)` Setter of sym_dest_name ([OTD].[CPICCalls].[ConversationAttributes].[SymDestName]).
`void` | `setSyncLevel(int syncLevel)` Setter of sync_level ([OTD].[CPICCalls].[ConversationAttributes].[SyncLevel]).
`boolean` | `statusReceivedIs(int statusReceived)` Test if status_received ([OTD].[CPICCalls].[ConversationAttributes].[StatusReceived]) equals `statusReceived`.
`boolean` | `symDestNameEquals(java.lang.String symDestName)` Test if sym_dest_name ([OTD].[CPICCalls].[ConversationAttributes].[SymDestName]) equals `symDestName`.
`boolean` | `syncLevelIs(int syncLevel)` Test if sync_level ([OTD].[CPICCalls].[ConversationAttributes].[SyncLevel]) equals `syncLevel`.
`java.lang.String` | `toString()` Returns a string representation with some conversation information.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### SNAConversationAttributes

    public SNAConversationAttributes(SNAInterface snaJNI)

  Constructor of SNAConversationAttributes.

  Parameters:
    `snaJNI` - An instance of SNAInterface

Method Detail

### getDataOut

    public byte[] getDataOut()

  Getter of DataOut ([OTD].[CPICCalls].[ConversationAttributes].[DataOut]).

  Returns:
    the DataOut as a byte array
  See Also:
    `SNAInterface.getDataOut()`

### setDataOut

    public void setDataOut(byte[] dataOut)
                    throws SNAApplicationException

  Setter of DataOut ([OTD].[CPICCalls].[ConversationAttributes].[DataOut]).

  Parameters:
    `dataOut` - the DataOut to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setDataOut(byte[])`

### getDataIn

    public byte[] getDataIn()

  Getter of DataIn ([OTD].[CPICCalls].[ConversationAttributes].[DataIn]).

  Returns:
    the DataIn as a byte array
  See Also:
    `SNAInterface.getDataIn()`

### getConvState

    public int getConvState()

  Getter of conversation_state ([OTD].[CPICCalls].[ConversationAttributes].[ConvState]).

  Returns:
    the conversation state
  See Also:
    `SNAInterface.getLastState()`

### convStateIs

    public boolean convStateIs(int convState)

  Test if conversation_state ([OTD].[CPICCalls].[ConversationAttributes].[ConvState]) equals `convState`.

  Parameters:
    `convState` - the conversation state to be compared with
  Returns:
    true if the specified parameter equals the conversation_state
  See Also:
    `SNAInterface.getLastState()`

### getConvReturnCode

    public int getConvReturnCode()

  Getter of conversation_return_code ([OTD].[CPICCalls].[ConversationAttributes].[ConvReturnCode]).

  Note: ConvReturnCode is used after CPIC cmwait returns with CM_OK. The conversation return code is the return code for the CPIC call that triggered the cmwait return because of its completion.

  Returns:
    the conversation return code
  See Also:
    `SNAInterface.getConvReturnCode()`

### convReturnCodeIs

    public boolean convReturnCodeIs(int convReturnCode)

  Test if conversation_return_code ([OTD].[CPICCalls].[ConversationAttributes].[ConvReturnCode]) equals `convReturnCode`.

  Note: ConvReturnCode is used after CPIC cmwait returns with CM_OK, the conversation return code is the return code for the CPIC call that triggered the cmwait return because of its completion.

  Parameters:
    `convReturnCode` - the conversation return code to be compared to
  Returns:
    true if the specified parameter equals the conversation_return_code
  See Also:
    `SNAInterface.getConvReturnCode()`

### getConvType

    public int getConvType()

  Getter of conversation_type ([OTD].[CPICCalls].[ConversationAttributes].[ConvType]).

  Returns:
    the conversation type
  See Also:
    `SNAInterface.getConvType()`

### setConvType

    public void setConvType(int convType)
                     throws SNAApplicationException

  Setter of conversation_type ([OTD].[CPICCalls].[ConversationAttributes].[ConvType]).

  Parameters:
    `convType` - the conversation type to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setConvType(int)`

### convTypeIs

    public boolean convTypeIs(int convType)

  Test if conversation_type ([OTD].[CPICCalls].[ConversationAttributes].[ConvType]) equals `convType`.

  Parameters:
    `convType` - the conversation type to be compared to
  Returns:
    true if they equal, false otherwise.
  See Also:
    `SNAInterface.getConvType()`

### getErrorDirection

    public int getErrorDirection()

  Getter of error_direction ([OTD].[CPICCalls].[ConversationAttributes].[ErrorDirection]).

  Returns:
    the error direction
  See Also:
    `SNAInterface.getErrorDirection()`

### setErrorDirection

    public void setErrorDirection(int errorDirection)
                           throws SNAApplicationException

  Setter of error_direction ([OTD].[CPICCalls].[ConversationAttributes].[ErrorDirection]).

  Parameters:
    `errorDirection` - the error direction to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setErrorDirection(int)`

### errorDirectionIs

    public boolean errorDirectionIs(int errorDirection)

  Test if error_direction ([OTD].[CPICCalls].[ConversationAttributes].[ErrorDirection]) equals `errorDirection`.

  Parameters:
    `errorDirection` - the error direction to be compared to
  Returns:
    true if they equal, false otherwise
  See Also:
    `SNAInterface.getErrorDirection()`

### getSyncLevel

    public int getSyncLevel()

  Getter of sync_level ([OTD].[CPICCalls].[ConversationAttributes].[SyncLevel]).

  Returns:
    the sync level
  See Also:
    `SNAInterface.getSyncLevel()`

### setSyncLevel

    public void setSyncLevel(int syncLevel)
                      throws SNAApplicationException

  Setter of sync_level ([OTD].[CPICCalls].[ConversationAttributes].[SyncLevel]).

  Parameters:
    `syncLevel` - the sync level to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setSyncLevel(int)`

### syncLevelIs

    public boolean syncLevelIs(int syncLevel)

  Test if sync_level ([OTD].[CPICCalls].[ConversationAttributes].[SyncLevel]) equals `syncLevel`.

  Parameters:
    `syncLevel` - the sync level to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getSyncLevel()`

### getFillType

    public int getFillType()

  Getter of fill (fill type) ([OTD].[CPICCalls].[ConversationAttributes].[FillType]).

  Returns:
    the fill type
  See Also:
    `SNAInterface.getFillType()`

### setFillType

    public void setFillType(int fillType)
                     throws SNAApplicationException

  Setter of fill (fill_type) ([OTD].[CPICCalls].[ConversationAttributes].[FillType]).

  Parameters:
    `fillType` - the fill type to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setFillType(int)`

### fillTypeIs

    public boolean fillTypeIs(int fillType)

  Test if fill (fill_type) ([OTD].[CPICCalls].[ConversationAttributes].[FillType]) equals `fillType`.

  Parameters:
    `fillType` - the fill type to be compared to
  Returns:
    true if they equal, false otherwise
  See Also:
    `SNAInterface.getFillType()`

### getProcessingMode

    public int getProcessingMode()

  Getter of processing_mode ([OTD].[CPICCalls].[ConversationAttributes].[ProcessingMode]).

  Returns:
    the processing mode
  See Also:
    `SNAInterface.getProcessingMode()`

### setProcessingMode

    public void setProcessingMode(int processingMode)
                           throws SNAApplicationException

  Setter of processing_mode ([OTD].[CPICCalls].[ConversationAttributes].[ProcessingMode]).

  Parameters:
    `processingMode` - the processing mode to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setProcessingMode(int)`

### processingModeIs

    public boolean processingModeIs(int processingMode)

  Test if processing_mode ([OTD].[CPICCalls].[ConversationAttributes].[ProcessingMode]) equals `processingMode`.

  Parameters:
    `processingMode` - the processing mode to be compared to
  Returns:
    true if they equal, false otherwise.
  See Also:
    `SNAInterface.getProcessingMode()`

### getPrepareToReceiveType

    public int getPrepareToReceiveType()

  Getter of prepare_to_receive_type ([OTD].[CPICCalls].[ConversationAttributes].[PrepareToReceive]).

  Returns:
    the value for prepare_to_receive
  See Also:
    `SNAInterface.getPrepareToReceiveType()`

### setPrepareToReceiveType

    public void setPrepareToReceiveType(int prepareToReceiveType)
                                 throws SNAApplicationException

  Setter of prepare_to_receive_type ([OTD].[CPICCalls].[ConversationAttributes].[PrepareToReceiveType]).

  Parameters:
    `prepareToReceiveType` - the prepare to receive type to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setPrepareToReceiveType(int)`

### prepareToReceiveTypeIs

    public boolean prepareToReceiveTypeIs(int prepareToReceiveType)

  Test if prepare_to_receive_type ([OTD].[CPICCalls].[ConversationAttributes].[PrepareToReceiveType]) equals `prepareToReceiveType`.

  Parameters:
    `prepareToReceiveType` - the prepare to receive type to be compared to
  Returns:
    true if they are equal, false otherwise
  See Also:
    `SNAInterface.getPrepareToReceiveType()`

### getReturnControl

    public int getReturnControl()

  Getter of return_control ([OTD].[CPICCalls].[ConversationAttributes].[ReturnControl]).

  Returns:
    the value of return control
  See Also:
    `SNAInterface.getReturnControl()`

### setReturnControl

    public void setReturnControl(int returnControl)
                          throws SNAApplicationException

  Setter of return_control ([OTD].[CPICCalls].[ConversationAttributes].[ReturnControl]).

  Parameters:
    `returnControl` - the return control to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setReturnControl(int)`

### returnControlIs

    public boolean returnControlIs(int returnControl)

  Test if return_control ([OTD].[CPICCalls].[ConversationAttributes].[ReturnControl]) equals `returnControl`.

  Parameters:
    `returnControl` - the return control to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getReturnControl()`

### getReceiveType

    public int getReceiveType()

  Getter of receive_type ([OTD].[CPICCalls].[ConversationAttributes].[ReceiveType]).

  Returns:
    the value of receive type
  See Also:
    `SNAInterface.getReceiveType()`

### setReceiveType

    public void setReceiveType(int receiveType)
                        throws SNAApplicationException

  Setter of receive_type ([OTD].[CPICCalls].[ConversationAttributes].[ReceiveType]).

  Parameters:
    `receiveType` - the receive type to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setReceiveType(int)`

### receiveTypeIs

    public boolean receiveTypeIs(int receiveType)

  Test if receive_type ([OTD].[CPICCalls].[ConversationAttributes].[ReceiveType]) equals `receiveType`.

  Parameters:
    `receiveType` - the receive type to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getReceiveType()`

### getSendType

    public int getSendType()

  Getter of send_type ([OTD].[CPICCalls].[ConversationAttributes].[SendType]).

  Returns:
    the value of send type
  See Also:
    `SNAInterface.getSendType()`

### setSendType

    public void setSendType(int sendType)
                     throws SNAApplicationException

  Setter of send_type ([OTD].[CPICCalls].[ConversationAttributes].[SendType]).

  Parameters:
    `sendType` - the send type to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setSendType(int)`

### sendTypeIs

    public boolean sendTypeIs(int sendType)

  Test if send_type ([OTD].[CPICCalls].[ConversationAttributes].[SendType]) equals `sendType`.

  Parameters:
    `sendType` - the send type to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getSendType()`

### getDeallocType

    public int getDeallocType()

  Getter of deallocate_type ([OTD].[CPICCalls].[ConversationAttributes].[DeallocType]).

  Returns:
    the deallocate type
  See Also:
    `SNAInterface.getDeallocTypeJ()`

### setDeallocType

    public void setDeallocType(int deallocType)
                        throws SNAApplicationException

  Setter of deallocate_type ([OTD].[CPICCalls].[ConversationAttributes].[DeallocType]).

  Parameters:
    `deallocType` - the DeallocType to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setDeallocTypeJ(int)`

### deallocTypeIs

    public boolean deallocTypeIs(int deallocType)

  Test if deallocate_type ([OTD].[CPICCalls].[ConversationAttributes].[DeallocType]) equals `deallocType`.

  Parameters:
    `deallocType` -
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getDeallocTypeJ()`

### getReq2SendReceived

    public int getReq2SendReceived()

  Getter of request_to_send_received ([OTD].[CPICCalls].[ConversationAttributes].[Req2SendReceived]).

  Returns:
    the value of request to send received
  See Also:
    `SNAInterface.getReq2SendReceived()`

### req2SendReceivedIs

    public boolean req2SendReceivedIs(int req2SendReceivedType)

  Test if request_to_send_received ([OTD].[CPICCalls].[ConversationAttributes].[Req2SendReceivedType]) equals `req2SendReceivedType`.

  Parameters:
    `req2SendReceivedType` - the Req2SendReceivedType to be compared with
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getReq2SendReceived()`

### getStatusReceived

    public int getStatusReceived()

  Getter of status_received ([OTD].[CPICCalls].[ConversationAttributes].[StatusReceived]). Normally, called after a cmrcv() or recv() method call.

  Returns:
    the status_received value for the last cmrcv call
  See Also:
    `SNAInterface.getStatusReceived()`

### statusReceivedIs

    public boolean statusReceivedIs(int statusReceived)

  Test if status_received ([OTD].[CPICCalls].[ConversationAttributes].[StatusReceived]) equals `statusReceived`. Normally, called after a cmrcv() or recv() method call.

  Parameters:
    `statusReceived` - the StatusReceived to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getStatusReceived()`

### getDataReceived

    public int getDataReceived()

  Getter of data_received ([OTD].[CPICCalls].[ConversationAttributes].[DataReceived]).

  Returns:
    the value of data received
  See Also:
    `SNAInterface.getDataReceivedType()`

### dataReceivedIs

    public boolean dataReceivedIs(int dataReceived)

  Test if data_received ([OTD].[CPICCalls].[ConversationAttributes].[DataReceived]) equals `dataReceived`.

  Parameters:
    `dataReceived` - the DataReceived to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getDataReceivedType()`

### getReturnCode

    public int getReturnCode()

  Getter of return_code ([OTD].[CPICCalls].[ConversationAttributes].[ReturnCode]).

  Returns:
    the value of return code
  See Also:
    `SNAInterface.getReturnCode()`

### returnCodeIs

    public boolean returnCodeIs(int returnCode)

  Test if return_code ([OTD].[CPICCalls].[ConversationAttributes].[ReturnCode]) equals `returnCode`.

  Parameters:
    `returnCode` - the ReturnCode to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getReturnCode()`

### getLogData

    public byte[] getLogData()

  Getter of log data ([OTD].[CPICCalls].[ConversationAttributes].[LogData]).

  Returns:
    the log data
  See Also:
    `SNAInterface.getLogData()`

### setLogData

    public void setLogData(byte[] logData)
                    throws SNAApplicationException

  Setter of log data ([OTD].[CPICCalls].[ConversationAttributes].[LogData]).

  Parameters:
    `logData` - the LogData to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setLogData(byte[])`

### getPartnerLUName

    public java.lang.String getPartnerLUName()

  Getter of Partner LU Name ([OTD].[CPICCalls].[ConversationAttributes].[PartnerLUName]).

  Returns:
    the partner LU name
  See Also:
    `SNAInterface.getPartnerLUName()`

### setPartnerLUName

    public void setPartnerLUName(java.lang.String partnerLUName)
                          throws SNAApplicationException

  Setter of Partner LU Name ([OTD].[CPICCalls].[ConversationAttributes].[PartnerLUName]).

  Parameters:
    `partnerLUName` - the PartnerLUName to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setPartnerLUName(String)`

### partnerLUNameEquals

    public boolean partnerLUNameEquals(java.lang.String partnerLUName)

  Test if partner_LU_name ([OTD].[CPICCalls].[ConversationAttributes].[PartnerLUName]) equals `partnerLUName`.

  Parameters:
    `partnerLUName` - the PartnerLUName to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getPartnerLUName()`

### getModeName

    public java.lang.String getModeName()

  Getter of mode_name. ([OTD].[CPICCalls].[ConversationAttributes].[ModeName])

  Returns:
    the mode name
  See Also:
    `SNAInterface.getModeName()`

### setModeName

    public void setModeName(java.lang.String modeName)
                     throws SNAApplicationException

  Setter of mode_name ([OTD].[CPICCalls].[ConversationAttributes].[ModeName])

  Parameters:
    `modeName` - the mode name to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setModeName(String)`

### modeNameEquals

    public boolean modeNameEquals(java.lang.String modeName)

  Test if mode_name ([OTD].[CPICCalls].[ConversationAttributes].[ModeName]) equals `modeName`.

  Parameters:
    `modeName` - the ModeName to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getModeName()`

### getSymDestName

    public java.lang.String getSymDestName()

  Getter of sym_dest_name ([OTD].[CPICCalls].[ConversationAttributes].[SymDestName])

  Returns:
    the Symolic Dest Name
  See Also:
    `SNAInterface.getSymDestName()`

### setSymDestName

    public void setSymDestName(java.lang.String symDestName)
                        throws SNAApplicationException

  Setter of sym_dest_name ([OTD].[CPICCalls].[ConversationAttributes].[SymDestName]).

  Parameters:
    `symDestName` - the SymDestName to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setSymDestName(String)`

### symDestNameEquals

    public boolean symDestNameEquals(java.lang.String symDestName)

  Test if sym_dest_name ([OTD].[CPICCalls].[ConversationAttributes].[SymDestName]) equals `symDestName`.

  Parameters:
    `symDestName` - the SymDestName to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getSymDestName()`

### getLocalTPName

    public java.lang.String getLocalTPName()

  Getter of local_TP_Name ([OTD].[CPICCalls].[ConversationAttributes].[LocalTPName])

  Returns:
    the local TP name
  See Also:
    `SNAInterface.getLocalTPName()`

### setLocalTPName

    public void setLocalTPName(java.lang.String localTPName)
                        throws SNAApplicationException

  Setter of local_TP_Name ([OTD].[CPICCalls].[ConversationAttributes].[LocalTPName]).

  Parameters:
    `localTPName` - the LocalTPName to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setLocalTPName(String)`

### localTPNameEquals

    public boolean localTPNameEquals(java.lang.String localTPName)

  Test if local_TP_Name ([OTD].[CPICCalls].[ConversationAttributes].[LocalTPName]) equals `localTPName`.

  Parameters:
    `localTPName` - the LocalTPName to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getLocalTPName()`

### getSecurityUserID

    public java.lang.String getSecurityUserID()

  Getter of security_user_ID ([OTD].[CPICCalls].[ConversationAttributes].[SecurityUserID]).

  Returns:
    the security UserID
  See Also:
    `SNAInterface.getSecurityUserID()`

### setSecurityUserID

    public void setSecurityUserID(java.lang.String securityUserID)
                           throws SNAApplicationException

  Setter of security_user_ID ([OTD].[CPICCalls].[ConversationAttributes].[SecurityUserID]).

  Parameters:
    `securityUserID` - the SecurityUserID to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setSecurityUserID(String)`

### securityUserIDEquals

    public boolean securityUserIDEquals(java.lang.String securityUserID)

  Test if security_user_ID ([OTD].[CPICCalls].[ConversationAttributes].[SecurityUserID]) equals `securityUserID`.

  Parameters:
    `securityUserID` - the SecurityUserID to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getSecurityUserID()`

### setSecurityPassword

    public void setSecurityPassword(java.lang.String securityPassword)
                             throws SNAApplicationException

  Setter of security_password ([OTD].[CPICCalls].[ConversationAttributes].[SecurityPassword]).

  Parameters:
    `securityPassword` - the SecurityPassword to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setSecurityPassword(String)`

### getSecurityType

    public int getSecurityType()

  Getter of conversation_security_type ([OTD].[CPICCalls].[ConversationAttributes].[SecurityType]).

  Returns:
    the security UserID
  See Also:
    `SNAInterface.getSecurityType()`

### setSecurityType

    public void setSecurityType(int securityType)
                         throws SNAApplicationException

  Setter of conversation_security_type ([OTD].[CPICCalls].[ConversationAttributes].[SecurityType]).

  Parameters:
    `securityType` - the SecurityType to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setSecurityType(int)`

### securityTypeIs

    public boolean securityTypeIs(int securityType)

  Test if conversation_security_type ([OTD].[CPICCalls].[ConversationAttributes].[SecurityType]) equals `securityType`.

  Parameters:
    `securityType` - the SecurityType to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getSecurityType()`

### getRequestedLength

    public int getRequestedLength()

  Getter of requested_length ([OTD].[CPICCalls].[ConversationAttributes].[RequestedLength]) which is the PacketSize of data the local program is to receive.

  Returns:
    the requested length
  See Also:
    `SNAInterface.getPacketSize()`

### setRequestedLength

    public void setRequestedLength(int requestedLength)
                            throws SNAApplicationException

  Setter of requested_length ([OTD].[CPICCalls].[ConversationAttributes].[RequestedLength]) which is the PacketSize of data the local program is to receive.

  Parameters:
    `requestedLength` - the requested_length to be set
  Throws:
    `SNAApplicationException` - up on an error
  See Also:
    `SNAInterface.setPacketSize(int)`

### requestedLengthIs

    public boolean requestedLengthIs(int requestedLength)

  Test if requested_length ([OTD].[CPICCalls].[ConversationAttributes].[RequestedLength]) equals `requestedLength`.

  Parameters:
    `requestedLength` - the RequestedLength to be compared to
  Returns:
    true if they are equal, false otherwise.
  See Also:
    `SNAInterface.getPacketSize()`

### toString

    public java.lang.String toString()

  Returns a string representation with some conversation information.

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.